Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

LegacyStorageImageFileRowReader.php
Go to the documentation of this file.
1 <?php
2
7 namespace eZ\Bundle\EzPublishCoreBundle\Imagine\VariationPurger;
8
9 use eZ\Publish\Core\Persistence\Database\DatabaseHandler;
10
11 class LegacyStorageImageFileRowReader implements ImageFileRowReader
12 {
14 private $dbHandler;
15
17 private $statement;
18
19 public function __construct(DatabaseHandler $dbHandler)
20 {
21 $this->dbHandler = $dbHandler;
22 }
23
24 public function init()
25 {
26 $selectQuery = $this->dbHandler->createSelectQuery();
27 $selectQuery->select('filepath')->from($this->dbHandler->quoteTable('ezimagefile'));
28 $this->statement = $selectQuery->prepare();
29 $this->statement->execute();
30 }
31
32 public function getRow()
33 {
34 return $this->statement->fetchColumn(0);
35 }
36
37 public function getCount()
38 {
39 return $this->statement->rowCount();
40 }
41 }
eZ\Bundle\EzPublishCoreBundle\Imagine\VariationPurger\LegacyStorageImageFileRowReader
Definition: LegacyStorageImageFileRowReader.php:12
eZ\Bundle\EzPublishCoreBundle\Imagine\VariationPurger\LegacyStorageImageFileRowReader\getCount
getCount()
Returns the total row count.
Definition: LegacyStorageImageFileRowReader.php:37
eZ\Bundle\EzPublishCoreBundle\Imagine\VariationPurger\LegacyStorageImageFileRowReader\$statement
$statement
Definition: LegacyStorageImageFileRowReader.php:17
eZ\Bundle\EzPublishCoreBundle\Imagine\VariationPurger\LegacyStorageImageFileRowReader\getRow
getRow()
Returns the next row from the data source.
Definition: LegacyStorageImageFileRowReader.php:32
eZ\Bundle\EzPublishCoreBundle\Imagine\VariationPurger\LegacyStorageImageFileRowReader\$dbHandler
$dbHandler
Definition: LegacyStorageImageFileRowReader.php:14
eZ\Bundle\EzPublishCoreBundle\Imagine\VariationPurger\LegacyStorageImageFileRowReader\init
init()
Initializes the reader.
Definition: LegacyStorageImageFileRowReader.php:24
eZ\Bundle\EzPublishCoreBundle\Imagine\VariationPurger\LegacyStorageImageFileRowReader\__construct
__construct(DatabaseHandler $dbHandler)
Definition: LegacyStorageImageFileRowReader.php:19
eZ\Bundle\EzPublishCoreBundle\Imagine\VariationPurger\ImageFileRowReader
Reads original image files from a data source.
Definition: ImageFileRowReader.php:13
eZ\Publish\Core\Persistence\Database\DatabaseHandler
Interface for relational database abstractions supported by eZ.
Definition: DatabaseHandler.php:18
eZ\Bundle\EzPublishCoreBundle\Imagine\VariationPurger
Definition: ImageFileList.php:7
Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.